---
title: "Composición a color"
---

Esta actividad consta de dos partes que realizaremos en las sesiones 3 y 4.

# Indicaciones

## Primera parte (Sesión 3)

El objetivo de la actividad es utilizar las funciones de color, líneas, y figuras para realizar una composición visual de tu agrado.

Además, la idea es incorporar variables como parámetros que puedas modificar después.

Te recomiendo partir de alguna referencia visual e intentar replicarla en su totalidad o algún aspecto de ella.

Antes de escribir código, realiza un boceto para ubicarte en el espacio numérico del lienzo.

### Entrega 

En el foro correspondiente en Brightspace, crea una nueva cadena con el título de tu composición, y realiza lo siguiente:

* Comparte tu(s) **referencia(s) visuales**
* Comparte los **bocetos** que hayas realizado
* Copia el **código** que escribiste en Processing (¡agrégale **comentarios**!)
* Comparte la **imagen** que resulta de ejecutar el código en Processing
* Comenta cómo te sentiste al dibujar de esta manera, qué ventajas y desventajas le encuentras, qué te deja la experiencia, y cualquier otra reflexión que tengas al respecto.

### Notas relevantes

* [[Color]](/notas/color.html) 
* [[Dibujo con figuras]](/notas/figuras.html)
* [[Variables: Fundamentos]](/notas/variables.html)
* [[Operadores aritméticos]](/notas/aritmetica.html)

---

## Segunda parte (Sesión 4)

El objetivo aquí es explorar las posibilidades de agregar *un poco de caos* a lo que ya estructuraste en la sesión anterior.

Lo ideal sería que encuentres **variaciones de tu composición original**, que estén basadas en **parámetros aleatorios**, y que te llamen la atención como resultado estético.

Si gustas agregar elementos a tu composición original, o modificarla completamente, también se vale.

La actividad consiste en lo siguiente:

* Agrega **parámetros aleatorios** a tu composición pasada. Por ejemplo, haz que alguno(s) de los siguientes aspectos tengan un origen aleatorio:
	- Posición (en `x` y/o en `y`, de uno o más elementos)
	- Dimensiones
	- Grosor(es) de línea
	- Colores
* Experimenta con **diferentes rangos numéricos** en estos parámetros aleatorios.
* Documenta al menos **tres resultados** que llamen tu atención

### Entrega 

En el foro:

* Describe el **proceso** que seguiste para parametrizar y aleatorizar tu composición
* Comparte los **resultados** que obtuviste y llamaron tu atención
* Comenta cómo te sentiste al agregar aleatoriedad a tu composición, qué te deja la experiencia, y cualquier otra reflexión que tengas al respecto.


### Notas relevantes

* [[Números pseudo-aleatorios]](/notas/random.html)

---

# Posibles referencias

* Anni Albers, Gunta Stölzl, Benita Koch-Otte, Otti Berger en [The Women of the Bauhaus School](https://www.artsy.net/article/artsy-editorial-women-bauhaus-school)
* [Wassily Kandinsky - 50 Most popular paintings](https://www.wassilykandinsky.net/painting1896-1944.php)
* [Culturas Populares - Geometrías de la Imaginación](https://www.culturaspopulareseindigenas.gob.mx/index.php/proyectos/616-geometr%C3%ADas-de-la-imaginaci%C3%B3n)

(¡se aceptan sugerencias para agregar aquí!)
