---
title: "PROYECTO FINAL: Exploraciones cíclicas"
---

# Generalidades

Este proyecto consiste en continuar la práctica con estructuras de repetición y arreglos.

La idea es que realices **alguna** de las siguientes opciones sugeridas:

1. Adapta algún ejemplo o ejercicio de dibujo con ciclos `while` o `for`
2. Adapta algún ejemplo o ejercicio de uso de arreglos
3. Incorpora ciclos `while` o `for` y/o arreglos a tu proyecto parcial.

# Entrega

La entrega del proyecto consistirá en dos partes:

* Presentación en vivo
* Dossier en PDF

## Presentación en vivo

Presentarás tu proyecto al grupo en la última sesión del curso.

Utiliza entre 5 y 10 minutos para compartirnos:

* Descripción general de tu proyecto: título, descripción, contexto
* Demostración del proyecto: imágenes y videos resultantes
* Documentación del proceso creativo: referencias, sketches, prototipos, hallazgos, obstáculos
* Conclusiones: lecciones, posible trabajo a futuro

## Dossier en PDF

Complementa tu presentación con un documento/diapositivas en PDF a entregar a más tardar al finalizar la última sesión del curso, en la sección correspondiente de Actividades.

Incluye en este documento/diapositivas:

* Descripción general de tu proyecto: título, descripción, contexto
* Demostración del proyecto: imágenes resultantes, enlaces a videos resultantes
* Documentación del proceso creativo: referencias, sketches, prototipos, hallazgos, obstáculos
* Conclusiones: lecciones, posible trabajo a futuro
* Código fuente completo y documentado con comentarios

*Puedes utilizar este dossier como apoyo visual para tu presentación en vivo*

# Recomendaciones

**Documenta frecuentemente** tu proceso: Te recomiendo guardar **versiones distintas** del código cada vez que hagas cambios significativos, y hacer **capturas de imagen y/o video** en todas las etapas.

Estaré presente en las sesiones para asesoría y resolución de dudas a nivel individual y grupal. ¡No dudes en **compartir tus preguntas**!

# Notas relevantes

## Arreglos

* [[Arreglos: Fundamentos]](/notas/arreglos.html)

## Ciclos

* [[Ciclos while y for]](/notas/ciclos.html)
* [[Repeticiones alternadas: Ciclos, módulo y condicionales]](/notas/ciclos-modulo.html)
* [[Ciclos anidados: Repetición en dos dimensiones]](/notas/ciclos-anidados.html)

## Animación

* [[Animación básica con acumuladores]](/notas/animacion-basica.html)
* [[Animación en función del tiempo (*frameCount*)]](/notas/animacion-frameCount.html)
