---
title: "PROYECTO PARCIAL: Ritmo Visual"
---

# Generalidades

El proyecto consiste en que utilices Processing para desarrollar una **composición visual basada en repetición**, con al menos **tres variaciones significativas**.

La idea es que además presentes un **contexto** en el cual visualices que esa composición podría existir.

# Aspectos técnicos

El código de tu proyecto ha de contener lo siguiente:

* Dibujo con líneas, figuras básicas, y/o polígonos
* Uso de colores o tonos de escala de grises
* Variables que funcionen como parámetros
* Al menos un aspecto repetitivo expresado con un ciclo `while` o `for`

Lo ideal sería que obtuvieras las tres variaciones significativas de tu composición modificando únicamente *valores numéricos*.

Opcionalmente considera incorporar alguna de las siguientes:

* Parámetros aleatorios
* Expresiones condicionales
* Repeticiones más complejas:
	- Repeticiones alternadas
	- Repeticiones en dos dimensiones

# Entrega

La entrega del proyecto consistirá en tres partes:

* Avances del proceso
* Presentación en vivo
* Dossier en PDF

## Avances del proceso

Publica en el foro del Proyecto Parcial tus referencias, avances, bocetos, código, resultados, dudas, comentarios, etc. al final de cada sesión (8, 9 y 10).

Hacerlo te permitirá tener retroalimentación oportuna y te facilitará tener registrado tu proceso creativo para los otros dos puntos.

Si gustas publicar más seguido, ¡adelante!

## Presentación en vivo

Presentarás tu proyecto al grupo en la sesión 11.

Utiliza entre 5 y 8 minutos para compartirnos:

* Descripción general de tu proyecto: título, descripción, contexto
* Demostración del proyecto: imágenes resultantes, *opcionalmente* demostradas en contexto
* Documentación del proceso creativo: referencias, sketches, prototipos, hallazgos, obstáculos
* Conclusiones: lecciones, posible trabajo a futuro

## Dossier en PDF

Complementa tu presentación con un documento PDF a entregar a más tardar al finalizar la sesión 11, en la sección correspondiente de Actividades.

Incluye en este documento:

* Descripción general de tu proyecto: título, descripción, contexto
* Demostración del proyecto: imágenes resultantes, *opcionalmente* demostradas en contexto. 
* Documentación del proceso creativo: referencias, sketches, prototipos, hallazgos, obstáculos
* Conclusiones: lecciones, posible trabajo a futuro
* Código fuente completo y documentado con comentarios

*Puedes utilizar este dossier como apoyo visual para tu presentación en vivo*

# Cronograma de trabajo propuesto:

La idea es realizar el proyecto en su totalidad **durante las sesiones en vivo**. Es tiempo suficiente siempre y cuando definamos bien el alcance del proyecto.

* **Sesión 8**: Planeación, concepto, referencias visuales, prototipos (en papel y/o Processing), definición del alcance del proyecto y obstáculos a superar
* **Sesión 9**: Desarrollo general del proyecto.
* **Sesión 10**: Corrección de detalles, captura de resultados visuales, preparación de documentación y presentación.
* **Sesión 11**: Presentaciones y entrega

*Recuerda: publica en el foro tus avances durante los últimos minutos de las sesiones 8, 9 y 10*

# Recomendaciones

**Documenta frecuentemente** tu proceso: Te recomiendo guardar **versiones distintas** del código cada vez que hagas cambios significativos, y hacer **capturas de imagen** en todas las etapas.

Estaré presente en las sesiones para asesoría y resolución de dudas a nivel individual y grupal. ¡No dudes en **compartir tus preguntas**!

# Notas relevantes

* [[Ciclos while y for]](/notas/ciclos.html)
* [[Repeticiones alternadas: Ciclos, módulo y condicionales]](/notas/ciclos-modulo.html)
* [[Ciclos anidados: Repetición en dos dimensiones]](/notas/ciclos-anidados.html)

* [[Dibujo con puntos y líneas]](/notas/lineas.html)
* [[Dibujo con figuras]](/notas/figuras.html)
* [[Color]](/notas/color.html)
* [[Dibujo de polígonos]](/notas/poligonos.html)
* [[Expresiones condicionales]](/notas/condicionales.html)

