---
title: "ACTIVIDAD: Copos de nieve, flores, y más"
---

# Generalidades

Usaremos esta actividad para practicar la parametrización, creación de funciones propias, y transformaciones.

El objetivo es realizar una composición visual basada en una *función propia con parámetros* que construya una flor/copo de nieve/etc a partir de la rotación de pétalos construidos con otra *función propia*.

# Procedimiento

El procedimiento que sugiero para realizar la actividad es el siguiente:

1. **Bosqueja** un elemento "pétalo" con su base en 0,0 y en posición vertical u horizontal. 
	* Diséñalo pensando en utilizar líneas, polígonos propios, y/o figuras básicas de Processing. ¡Puede ser tan complejo o simple como desees!
	* Encuentra y marca las coordenadas y parámetros clave para poder escribir el dibujo en Processing.
	* *Opcional*: Considera parametrizar alguna de sus características, como su *longitud*, *ancho*, *número de ramas*, etc.
2. **Traduce** tu dibujo a una **función** del tipo `petalo( )` en Processing
	* *Opcional*: Si agregaste más parámetros, inclúyelos también como argumentos de tu función, por ejemplo `petalo( longitud, ancho )`
3. Encuentra la combinación de **transformaciones** para que, combinadas con un ciclo `for`, puedas dibujar varios *pétalos* alrededor de un punto `x,y` que tú decidas.
	* *Opcional*: Si tienes pétalos parametrizados, prueba modificar sus parámetros dentro del ciclo, o agrega copias con parámetros distintos. Por ejemplo, los pétalos pueden ir decreciendo, o puedes tener pétalos grandes detrás y pétalos pequeños adelante.
	* *También opcional*: Adapta tu función de pétalo, construye y utiliza más de un tipo de función de pétalo, y/o complementa el dibujo de la flor con otras figuras.
4. **Agrupa** ese nuevo código en una **función** de la forma `flor( x, y )` con el nombre que prefieras.
	* *Opcional*: Agrega más parámetros a tu función, como *número de pétalos*, *ángulo de rotación*, *diámetro*, *colores* etc.
5. **Dibuja** utilizando esa función. Algunas posibilidades:
	* Repite las flores en algún patrón
	* Realiza una composición ordenando las flores de acuerdo a algún parámetro.
	* Dibuja varias flores en posiciones aleatorias. (Y si tienes más parámetros, también prueba aleatorizarlos)
	* Usa una flor como "pincel" centrada en la posición del *mouse*
	* Pon a las flores en movimiento.

En el siguiente tutorial se ejemplifican los diferentes pasos:

* [Tutorial: Copos y flores (Funciones y transformaciones)](/tutoriales/c3-copos-flores.html)

# Entrega

Utilizaremos dos sesiones para trabajar en esta actividad.

## Primera entrega: Proceso

Al final de la primera sesión, comparte en el foro correspondiente lo siguiente:

* Avances: referencias visuales, bocetos, código, resultados visuales parciales
* Comentario: qué buscas lograr, qué obstáculos encuentras, qué dudas tienes, qué te gustaría hacer que no sabes cómo, etc.

## Segunda entrega: Resultados

Al final de la segunda sesión, entrega en la sección de Actividades un *dossier* en PDF con lo siguiente:

* Título y nombre
* Imagen o imágenes resultantes
* Notas e imágenes sobre tu proceso
* Código fuente con comentarios
* Reflexiones, hallazgos, obstáculos, conclusiones

# Recomendaciones

**Documenta frecuentemente** tu proceso: Te recomiendo guardar **versiones distintas** del código cada vez que hagas cambios significativos, y hacer **capturas de imagen** en todas las etapas.

Estaré presente en las sesiones para asesoría y resolución de dudas a nivel individual y grupal. ¡No dudes en **compartir tus preguntas**!

# Notas relevantes

* [[Dibujo de polígonos]](/notas/poligonos.html)
* [[Transformaciones]](/notas/transformaciones.html)
* [[Funciones de dibujo]](/notas/funciones-dibujo.html)
* [[Ciclos while y for]](/notas/ciclos.html)
