---
title: "PROYECTO FINAL: Filtro Interactivo"
---

# Generalidades

El proyecto consiste en que desarolles un *filtro interactivo* en Processing, utilizando herramientas de manipulación programática de imágenes que hemos revisado en clase.
 
Este filtro puede existir como **cualquiera de las siguientes opciones**:

* Filtro de imagen estática (`PImage`)
* Filtro de video pregrabado (`Movie`)
* Filtro de video en vivo (`Capture`)

Algunas sugerencias de contextos posibles para el proyecto:

* **Arte interactivo**, en el que la audiencia es quien interactúa como parte de la obra
* **Herramienta interactiva**, que permite que alguien más o tú experimente y genere resultados visuales
* **Visuales en vivo / VJ**, en el que tú interactúas como *performer* con tu programa


# Aspectos técnicos

El código del filtro ha de basarse en manipulación de imágenes de mapa de bits, utilizando además **al menos dos** de las siguientes técnicas:

* Arreglo de pixeles ( `.pixels` )
* Recortes rectangulares (`.get(x, y, w, h)`)
* *Blend modes* (`blendMode( )`)
* Tintas (`tint( )`)
* Muestreo de color (`.get(x, y)`)
* Máscaras (`.mask( )`)
* Capas con `PGraphics`

Además, ha de incorporar **al menos un** aspecto de interactividad que modifique algún parámetro de la manipulación:

* Posición del *mouse* en alguno de los ejes (`mouseX`, `mouseY`)
* Estado del *mouse* (`mousePressed`)
* Estado del teclado y teclas (`keyPressed`, `key`)


# Entrega

La entrega del proyecto consistirá en tres partes:

* Avances del proceso
* Presentación en vivo
* Dossier en PDF

## Avances del proceso

Publica en el foro del Proyecto Final tus referencias, avances, bocetos, código, resultados, dudas, comentarios, etc. al final de cada sesión de trabajo (12 y 13).

Hacerlo te permitirá tener retroalimentación oportuna y te facilitará tener registrado tu proceso creativo para los otros dos puntos.

Si gustas publicar más seguido, ¡adelante!

## Presentación en vivo

Presentarás tu proyecto al grupo en la sesión 14.

Utiliza entre 5 y 10 minutos para compartirnos:

* Descripción general de tu proyecto: título, descripción, contexto
* Demostración del proyecto: imágenes y/o videos resultantes, demostración de interacciones 
* Documentación del proceso creativo: referencias, sketches, prototipos, hallazgos, obstáculos
* Conclusiones: lecciones, posible trabajo a futuro

## Dossier en PDF

Complementa tu presentación con un documento PDF a entregar a más tardar al finalizar la sesión 14, en la sección correspondiente de Actividades.

Incluye en este documento:

* Descripción general de tu proyecto: título, descripción, contexto
* Demostración del proyecto: imágenes resultantes, enlaces a videos que demuestren la interacción
* Documentación del proceso creativo: referencias, sketches, prototipos, hallazgos, obstáculos
* Conclusiones: lecciones, posible trabajo a futuro
* Código fuente completo y documentado con comentarios
* Imágenes fuente con referencias

*Puedes utilizar este dossier como apoyo visual para tu presentación en vivo*

# Cronograma de trabajo propuesto:

La idea es realizar el proyecto en su totalidad **durante las sesiones en vivo**. Es tiempo suficiente siempre y cuando definamos bien el alcance del proyecto.

* **Sesión 12**: Planeación, concepto, referencias visuales, prototipos (en papel y/o Processing), definición del alcance del proyecto y obstáculos a superar
* **Sesión 13**: Desarrollo general del proyecto.
* **Sesión 14**: Presentaciones y entrega

*Recuerda: publica en el foro tus avances durante los últimos minutos de las sesiones 12 y 13*

# Recomendaciones

**Documenta frecuentemente** tu proceso: Te recomiendo guardar **versiones distintas** del código cada vez que hagas cambios significativos, y hacer **capturas de imagen** en todas las etapas.

Estaré presente en las sesiones para asesoría y resolución de dudas a nivel individual y grupal. ¡No dudes en **compartir tus preguntas**!

# Notas relevantes

* [[Interactividad con mouse y teclado]](/notas/interactividad.html)
* [[Video: Estructuras básicas]](/notas/video.html)
* [[Arreglo de pixeles]](/notas/pixeles.html)
* [[Imágenes: Abrir, mostrar, leer]](/notas/imagenes-read.html)
* [[Imágenes: Colores, filtros]](/notas/imagenes-colores.html)
* [[Imágenes: Capas y máscaras]](/notas/imagenes-capas.html)
