---
title: "PROYECTO PARCIAL: Tríptico"
---

# Generalidades

Un tríptico es *una obra de arte que se divide en tres secciones*.

El proyecto consiste en que desarrolles un *tríptico visual* en Processing, utilizando herramientas de manipulación programática de imágenes que hemos revisado en clase.

Las tres secciones del tríptico pueden consistir en una o más de las siguientes:
 
* variaciones de tu programa
* variaciones de tus imágenes fuente
* progresiones temporales, espaciales y/o narrativas
* distintos tipos de interacción y/o animación
* etc. 

Estas tres secciones pueden ser imágenes estáticas, o pueden tener algún tipo de animación, interactiva o no. Si lo consideras pertinente, puedes acompañarlas con sonido.

Toma en cuenta que el tríptico ha de tener sentido como un todo.

# Aspectos técnicos

El código del tríptico ha de basarse en carga y dibujo de imágenes de mapa de bits, utilizando además **al menos dos** de las siguientes técnicas:

* Recortes rectangulares (`.get(x, y, w, h)`)
* *Blend modes* (`blendMode( )`)
* Tintas (`tint( )`)
* Muestreo de color (`.get(x, y)`)
* Máscaras (`.mask( )`)
* Capas con `PGraphics`

Opcionalmente considera incorporar alguna de las siguientes:

* Ciclos `for` para dibujo repetitivo
* Animación algorítmica
* Interactividad con mouse y/o teclado

# Entrega

La entrega del proyecto consistirá en tres partes:

* Avances del proceso
* Presentación en vivo
* Dossier en PDF

## Avances del proceso

Publica en el foro del Proyecto Parcial tus referencias, avances, bocetos, código, resultados, dudas, comentarios, etc. al final de cada sesión (6, 7 y 8).

Hacerlo te permitirá tener retroalimentación oportuna y te facilitará tener registrado tu proceso creativo para los otros dos puntos.

Si gustas publicar más seguido, ¡adelante!

## Presentación en vivo

Presentarás tu proyecto al grupo en la sesión 9.

Utiliza entre 5 y 10 minutos para compartirnos:

* Descripción general de tu proyecto: título, descripción, contexto
* Demostración del proyecto: imágenes y/o videos resultantes, demostración de interacciones de ser el caso
* Documentación del proceso creativo: referencias, sketches, prototipos, hallazgos, obstáculos
* Conclusiones: lecciones, posible trabajo a futuro

## Dossier en PDF

Complementa tu presentación con un documento PDF a entregar a más tardar al finalizar la sesión 9, en la sección correspondiente de Actividades.

Incluye en este documento:

* Descripción general de tu proyecto: título, descripción, contexto
* Demostración del proyecto: imágenes resultantes, enlaces a videos en el caso de que haya animación y/o interacción
* Documentación del proceso creativo: referencias, sketches, prototipos, hallazgos, obstáculos
* Conclusiones: lecciones, posible trabajo a futuro
* Código fuente completo y documentado con comentarios
* Imágenes fuente con referencias

*Puedes utilizar este dossier como apoyo visual para tu presentación en vivo*

# Cronograma de trabajo propuesto:

La idea es realizar el proyecto en su totalidad **durante las sesiones en vivo**. Es tiempo suficiente siempre y cuando definamos bien el alcance del proyecto.

* **Sesión 6**: Planeación, concepto, referencias visuales, prototipos (en papel y/o Processing), definición del alcance del proyecto y obstáculos a superar
* **Sesión 7**: Desarrollo general del proyecto.
* **Sesión 8**: Corrección de detalles, captura de resultados visuales, preparación de documentación y presentación.
* **Sesión 9**: Presentaciones y entrega

*Recuerda: publica en el foro tus avances durante los últimos minutos de las sesiones 6, 7 y 8*

# Recomendaciones

**Documenta frecuentemente** tu proceso: Te recomiendo guardar **versiones distintas** del código cada vez que hagas cambios significativos, y hacer **capturas de imagen** en todas las etapas.

Estaré presente en las sesiones para asesoría y resolución de dudas a nivel individual y grupal. ¡No dudes en **compartir tus preguntas**!

# Notas relevantes

* [[Imágenes: Abrir, mostrar, leer]](/notas/imagenes-read.html)
* [[Imágenes: Colores, filtros]](/notas/imagenes-colores.html)
* [[Imágenes: Capas y máscaras]](/notas/imagenes-capas.html)
