---
title: "Color"
---

En Processing, el color se puede representar como uno, dos, tres o cuatro números.

Por *default*, el valor mínimo de cada número es 0 y el máximo es 255.

* Un número: *brillo*; 0 es negro y 255 es blanco
* Dos números: *brillo, transparencia*; donde 0 es completamente transparente y 255 completamente opaco
* Tres números: *rojo, verde, azul* (o *hue, saturación, brillo*)
* Cuatro números: *rojo, verde, azul, transparencia* (o *hue, saturación, brillo, transparencia*)

En las funciones de abajo se pueden ver ejemplos de los diferentes casos 

## Funciones

### noFill();

Le quita el relleno a todas las figuras dibujadas a continuación.

---

### noStroke();

Le quita el borde a todas las figuras dibujadas después de ser llamada / hace las líneas invisibles.

---

### background( c );

Asigna el color de fondo del canvas, reemplazando todo lo que estaba dibujado previamente.

```java
// fondo negro
background(0);

// fondo blanco
background(255);

// fondo gris oscuro
background(20);

// fondo rojo
background( 255, 0, 0);
```

---

### fill( c );

Asigna el color de relleno para las figuras dibujadas a continuación


```java
// relleno gris claro
fill(200);

// relleno blanco con algo de transparencia
fill( 255, 150);

// relleno amarillo
fill( 255, 255, 0);

// relleno azul oscuro con transparencia
fill(0, 0, 100, 120);
```

---

### stroke( c );

Asigna el color de las líneas / bordes de las figuras dibujadas a continuación


```java
// borde gris claro
stroke(200);

// borde blanco con algo de transparencia
stroke( 255, 150);

// borde amarillo
stroke( 255, 255, 0);

// borde azul oscuro con transparencia
stroke(0, 0, 100, 120);
```

---

### colorMode( );

Cambia el modo de color utilizado:


```java
// modo de color por default (RGBA de 0 a 255)
colorMode( RGB, 255, 255, 255, 255);

// modo de color HSBA
colorMode( HSB, 360, 100, 100, 100);
``` 
