---
title: "P3D: Figuras básicas / primitivas"
---

Processing tiene por defecto dos figuras en 3D, `box()` y `sphere()`, que se dibujan **centradas en el "origen" actual**.

# Funciones

## box( d ) 

Dibuja un cubo de `d` unidades de lado, centrado en el origen.

```java
noFill();

box( 5 ); // dibuja cubo de 5 unidades
box( 10 ); // dibuja cubo de 10 unidades
```

## box( dx, dy, dz )

Dibuja una caja rectangular con dimensiones `dx`,  `dy` y `dz`, con centro en el origen.

```java
box( 10, 5, 2 ); // caja de 10x5x2
```

## sphere( r )

Dibuja una esfera con `r` unidades de radio, centrada en el origen.

```java
noFill();

sphere( 5 ); // dibuja esfera de 5 unidades de radio
sphere( 10 ); // dibuja esfera de 10 unidades de radio
```

## sphereDetail( rs )

Cambia la resolución de las esferas dibujadas a continuación. Esta resolución se refiere al número de vértices en cada circunferencia.

El valor por defecto es 30, y el mínimo es 3.

```java
// dibuja una esfera de baja resolución:
sphereDetail(4); 
sphere(5);
```

### sphereDetail( urs, vrs )

Con esta función podemos elegir la resolución longitudinal `urs` (alrededor) y latitudinal `vrs` (de arriba a abajo) de manera independiente.

```java
// dibuja una "esfera" con diferentes resoluciones en latitud y longitud
sphereDetail(4, 10); 
sphere(5);
```
